{% raw %}
<section class="row no-gutters justify-content-center">
  <header class="col-10 mb-3">
    <h1>{{ q | capitalize }}</h1>
  </header>

  <div class="col-10 container">
    <div class="row justify-content-start row-cols-1 row-cols-md-2">
      {% for post in results %}
        {%- if site.ignored_layouts contains post.layout -%}{%- continue -%}{%- endif -%}
        {%- assign height = site.i18n.post.height -%}

        <article class="col d-flex flex-column mb-3">
          <a href="{{ post.url }}">
            <picture>
              <img
                class="u-photo w-100 fit-cover h-{{ height }}"
                loading="lazy"
                itemprop="image"
                src="{{ post.image.path | default: 'public/placeholder.png' }}"
                alt="{{ post.image.description | default: post.title }}" />
            </picture>
          </a>

          <div class="pl-3 pr-3 pb-3 d-flex flex-column">
            <header class="position-relative">
              <h1 class="f-4 mt-3">
                <a
                  class="black line-clamp-5"
                  href="{{ post.url }}">
                  <span>{{ post.title }}</span>
                </a>
              </h1>

              <p>
                <time datetime="{{ post.date }}">
                  {{ post.date | date: site.i18n.date.format }}
                </time>
              </p>

              <p>
                {% for category in post.categories %}
                  <a href="{{ category.url }}" class="badge badge-primary">{{ category.title }}</a>
                {% endfor %}
              </p>
            </header>
          </div>
        </article>
      {% endfor %}
    </div>
  </div>
</section>
{% endraw %}
